import javax.swing.*;
import java.awt.event.*;
public class SimpleGUI
{
	public SimpleGUI()
	{
		JFrame frame = new JFrame("Simple GUI Container");
		JLabel label = new JLabel("Simple GUI Component");
		label.setHorizontalAlignment(SwingConstants.CENTER);
		frame.getContentPane().add(label);
		frame.setSize(300,200);
		frame.setVisible(true);
		
		// Ignore the following for now.
		// It simply causes
		// the program to end when
		// the window is closed.
		frame.addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent evt)
			{
				System.exit(0);
			}
		});
	}
	public static void main(String[] argv)
	{
		SimpleGUI simple = new SimpleGUI();
	}
}
